package industries.sunshine.planningpoker

import cats.effect._
import cats.syntax.all._
import com.comcast.ip4s._
import org.http4s.ember.server._
import fs2._

object BackendApp extends IOApp.Simple {

  override def run: IO[Unit] = {
    val host = host"0.0.0.0"
    val port = port"8080"

    val server = for {
      srv <- EmberServerBuilder
        .default[IO]
        .withHost(host)
        .withPort(port)
        .withHttpWebSocketApp(MyHttpService.create(Auth.pureBadStub)(_))
        .build
    } yield srv

    server.use(server =>
        IO.delay(println(s"Server Has Started at ${server.address}")) >> IO.never.as(ExitCode.Success))

  }
}
