{
  description = "Planning Poker web app. Trying to build something and learn new things";
  inputs.nixpkgs.url = "github:nixos/nixpkgs";
  inputs.flake-utils.url = "github:numtide/flake-utils";

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem
      (system:
        let pkgs = nixpkgs.legacyPackages.${system}; in
        {
          devShells.default = pkgs.mkShell {
            buildInputs = [
              pkgs.nodejs
              pkgs.sbt
              pkgs.scalafmt
              # pkgs.nodePackages.tailwindcss
              # pkgs.nodePackages.postcss
            ];
            shellHook = ''
              echo "dev env for planning poker BWARGH started"
            '';
          };
        }
      );
  # see https://serokell.io/blog/practical-nix-flakes
}
